summaryrefslogtreecommitdiff
path: root/source3/script/installswat.sh
diff options
context:
space:
mode:
authorRafal Szczesniak <mimir@samba.org>2003-11-12 13:02:25 +0000
committerRafal Szczesniak <mimir@samba.org>2003-11-12 13:02:25 +0000
commitdaea4804c3fcfa18ec95b3979ad7f7970a273642 (patch)
tree4b0afeee96d63530699be495d67fca3273cd23ea /source3/script/installswat.sh
parente1c468477c1781b8d4d1539489ce577b71cd1a70 (diff)
downloadsamba-daea4804c3fcfa18ec95b3979ad7f7970a273642.tar.gz
samba-daea4804c3fcfa18ec95b3979ad7f7970a273642.tar.bz2
samba-daea4804c3fcfa18ec95b3979ad7f7970a273642.zip
Omit html documentation tree because it has been moved to the separate
module. Install though, in case one recreates the tree as it was before. rafal (This used to be commit d6857d191ca5aa24f791880e517b0e8db3d587eb)
Diffstat (limited to 'source3/script/installswat.sh')
-rwxr-xr-xsource3/script/installswat.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/source3/script/installswat.sh b/source3/script/installswat.sh
index be0cdf3eef..7ac675de10 100755
--- a/source3/script/installswat.sh
+++ b/source3/script/installswat.sh
@@ -62,14 +62,17 @@ for ln in $LANGS; do
done
-# Install html documentation
+# Install html documentation (if html documentation tree is here)
-for f in $SRCDIR../docs/htmldocs/*.html; do
- FNAME=$SWATDIR/help/`basename $f`
- echo $FNAME
- cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
- chmod 0644 $FNAME
-done
+if [ -d $SRCDIR../docs/htmldocs/ ]; then
+
+ for f in $SRCDIR../docs/htmldocs/*.html; do
+ FNAME=$SWATDIR/help/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+ done
+fi
# Install Using Samba book (but only if it is there)